# -*- encoding: utf-8 -*-
# stub: aws-sdk-iam 1.74.0 ruby lib

Gem::Specification.new do |s|
  s.name = "aws-sdk-iam".freeze
  s.version = "1.74.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://github.com/aws/aws-sdk-ruby/tree/version-3/gems/aws-sdk-iam/CHANGELOG.md", "source_code_uri" => "https://github.com/aws/aws-sdk-ruby/tree/version-3/gems/aws-sdk-iam" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Amazon Web Services".freeze]
  s.date = "2023-02-24"
  s.description = "Official AWS Ruby gem for AWS Identity and Access Management (IAM). This gem is part of the AWS SDK for Ruby.".freeze
  s.email = ["aws-dr-rubygems@amazon.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "LICENSE.txt".freeze, "VERSION".freeze, "lib/aws-sdk-iam.rb".freeze, "lib/aws-sdk-iam/access_key.rb".freeze, "lib/aws-sdk-iam/access_key_pair.rb".freeze, "lib/aws-sdk-iam/account_password_policy.rb".freeze, "lib/aws-sdk-iam/account_summary.rb".freeze, "lib/aws-sdk-iam/assume_role_policy.rb".freeze, "lib/aws-sdk-iam/client.rb".freeze, "lib/aws-sdk-iam/client_api.rb".freeze, "lib/aws-sdk-iam/current_user.rb".freeze, "lib/aws-sdk-iam/customizations.rb".freeze, "lib/aws-sdk-iam/customizations/resource.rb".freeze, "lib/aws-sdk-iam/endpoint_parameters.rb".freeze, "lib/aws-sdk-iam/endpoint_provider.rb".freeze, "lib/aws-sdk-iam/endpoints.rb".freeze, "lib/aws-sdk-iam/errors.rb".freeze, "lib/aws-sdk-iam/group.rb".freeze, "lib/aws-sdk-iam/group_policy.rb".freeze, "lib/aws-sdk-iam/instance_profile.rb".freeze, "lib/aws-sdk-iam/login_profile.rb".freeze, "lib/aws-sdk-iam/mfa_device.rb".freeze, "lib/aws-sdk-iam/plugins/endpoints.rb".freeze, "lib/aws-sdk-iam/policy.rb".freeze, "lib/aws-sdk-iam/policy_version.rb".freeze, "lib/aws-sdk-iam/resource.rb".freeze, "lib/aws-sdk-iam/role.rb".freeze, "lib/aws-sdk-iam/role_policy.rb".freeze, "lib/aws-sdk-iam/saml_provider.rb".freeze, "lib/aws-sdk-iam/server_certificate.rb".freeze, "lib/aws-sdk-iam/signing_certificate.rb".freeze, "lib/aws-sdk-iam/types.rb".freeze, "lib/aws-sdk-iam/user.rb".freeze, "lib/aws-sdk-iam/user_policy.rb".freeze, "lib/aws-sdk-iam/virtual_mfa_device.rb".freeze, "lib/aws-sdk-iam/waiters.rb".freeze]
  s.homepage = "https://github.com/aws/aws-sdk-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "AWS SDK for Ruby - IAM".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<aws-sdk-core>.freeze, ["~> 3", ">= 3.165.0"])
    s.add_runtime_dependency(%q<aws-sigv4>.freeze, ["~> 1.1"])
  else
    s.add_dependency(%q<aws-sdk-core>.freeze, ["~> 3", ">= 3.165.0"])
    s.add_dependency(%q<aws-sigv4>.freeze, ["~> 1.1"])
  end
end
